
QGIS Application - Bug report #21383

Crash when editing fields

2019-02-26 08:00 AM - Nicu Tofan

Status: Open

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.6.0 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29200

Description

User Feedback

Polygon layer in edit mode

Using a custom form for editing

Just edited a value switched focus to (clicked in) a different text edit widget in same custom form.

Report Details

Crash ID: dbd69a76cf5ba4fd682524cd2740c8a497140fed

Stack Trace

QObject::metaObject :

QMetaObject::cast :

QgsLayerTreeModel::parent :

QModelIndex::parent :

QTreeView::drawRow :

QTreeView::drawTree :

QTreeView::paintEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::drawWidget :

QApplication::windowIcon :

QWidget::event :

QgisApp::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicated by QGIS Application - Bug report # 21386: Crash when editing fields Closed 2019-02-26

History

#1 - 2019-02-26 09:03 AM - Giovanni Manghi

- Duplicated by Bug report #21386: Crash when editing fields added

#2 - 2019-02-26 09:04 AM - Giovanni Manghi

- Priority changed from Normal to High

- Affected QGIS version changed from 3.4.4 to 3.6.0

Affects also 3.4.4

#3 - 2019-02-26 09:16 AM - Nicu Tofan

Using these exact steps replicates the crash:

- open project

- set current layer the polygon layer

- start editing

- open attribute table

- show selected features

- start select tool

- select same polygon as before

- change same field as before with same value

- click on canvas - does not crash it

- change another field

- switched focus to another app

- => crash

I have autosave plugin installed. Will try without.

Will also try to create  a new project with only that layer

#4 - 2019-02-26 10:48 AM - Nicu Tofan

Crashed without autosaver
A new project with same layer and autogenerated form does NOT seem to crash.

I have exported the layer as a "layer definition file" 

I imported the definition in a new project => using same custom form

Crashed in same circumstances.

#5 - 2019-02-26 12:08 PM - Nicu Tofan

- File Crash Report.zip added

Here is the project that produces the error. The archive includes the form and custom python file.

#6 - 2019-02-26 03:22 PM - Nicu Tofan

Actually it looks like it is not related to my form.

Same layer using auto-generated form and no custom form script.

User Feedback

Edited the attribute and pressed "Save Layer Edits".

Report Details

Crash ID: 82c9e94385b557d81f225b15b6ec2f034912916e

Stack Trace

QMetaObject::cast :

QgsLayerTreeModel::parent :

QModelIndex::parent :

QTreeView::drawRow :

QTreeView::drawTree :

QTreeView::paintEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::drawWidget :

QApplication::windowIcon :

QWidget::event :

QgisApp::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QWidgetPrivate::scrollRect :

QWidgetPrivate::invalidateBuffer_resizeHelper :

QWidget::repaint :

QWidget::repaint :

QAbstractButton::mousePressEvent :

QToolButton::mousePressEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :
QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#7 - 2019-03-01 08:10 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Category changed from GUI to Editing

Files

Crash Report.zip 176 KB 2019-02-26 Nicu Tofan
